Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
Mateusz Kurek
@mkurek
this is sample hardcoded data;
your error with monotonic is very interesting (meh, openstack error, again - we have many troubles with openstack dependencies). could you send me dump of pip freeze command?
MarcinJanowski
@MarcinJanowski
@mkurek : of course, http://wklej.org/id/1805354/
Mateusz Kurek
@mkurek
try: pip uninstall oslo.config Babel stevedore pbr python-keystoneclient and then make install in ralph directory again (don't install scrooge for now)
MarcinJanowski
@MarcinJanowski
Mateusz Kurek
@mkurek
it's weird - please paste here content of your setup.py in ralph
MarcinJanowski
@MarcinJanowski
@mkurek: i download from this: https://github.com/allegro/ralph/releases/tag/2.3.1 , this is setup.py: http://wklej.org/id/1805358/
Mateusz Kurek
@mkurek
ok it's clear now; this release is from april - since then we commited many improvements and fixes, but didn't manage to realease it under official version; please clone git repository (develop branch) and install then: https://github.com/allegro/ralph/tree/develop and https://github.com/allegro/ralph_assets/tree/develop
MarcinJanowski
@MarcinJanowski
but develop is in v3, yes?
Mateusz Kurek
@mkurek
no - there is ng branch for v3 - develop is still for 2.x version
MarcinJanowski
@MarcinJanowski
ok, thanks
@mkurek: I should clone ralph_assets in ralph directory or nearl ralph?
Mateusz Kurek
@mkurek
no - it should be separated directory
MarcinJanowski
@MarcinJanowski
ok
@mkurek : make: pip3: Command not found, i should install pip3 form packages, or from pip?
Mateusz Kurek
@mkurek
you're probably on ng branch (check it with git branch)
MarcinJanowski
@MarcinJanowski
yes, but on develop i have oher error ;) pip install -e . --use-mirrors --allow-all-external --allow-unverified ipaddr --allow-unverified postmarkup --allow-unverified pysphere no such option: --use-mirrors
when i remove this from Makefile, it works
Mateusz Kurek
@mkurek
pip install -u pip==1.5.6
MarcinJanowski
@MarcinJanowski
without -u option
ok, now making ;)
Mateusz Kurek
@mkurek
should be -U :)
MarcinJanowski
@MarcinJanowski
@mkurek : oughhh... http://wklej.org/id/1805372/
Mateusz Kurek
@mkurek
please send once again result of pip freeze
MarcinJanowski
@MarcinJanowski
Mateusz Kurek
@mkurek
I don't get it - you have python-keystoneclient==0.11.0 installed according to pip freeze but at the same time you have error pkg_resources.DistributionNotFound: python-keystoneclient==0.11.0
MarcinJanowski
@MarcinJanowski
hmmm, interesting...
i think about remove all virtual python environment
Mateusz Kurek
@mkurek
it's probably good idea - start from scratch - install ralph and ralph_assets from develop, don't install scrooge for now
MarcinJanowski
@MarcinJanowski
@mkurek: new errors: http://wklej.org/id/1805385/
Mateusz Kurek
@mkurek
try pip install distribute
MarcinJanowski
@MarcinJanowski
@mkurek: http://wklej.org/id/1805392/ new error ;)
Mateusz Kurek
@mkurek
@MarcinJanowski i've got to go right now - i'll be there back about 5pm
MarcinJanowski
@MarcinJanowski
@mkurek : ok, but i work from 8:00 to 4pm ;) so see you tomorrow
MarcinJanowski
@MarcinJanowski
@mkurek: after start gunicorn from init and go to :8000: http://wklej.org/id/1805399/
MarcinJanowski
@MarcinJanowski
@mkurek : If you are, please contact
MarcinJanowski
@MarcinJanowski
hello, anyone can help me?
✪ vi4m Marcin Kliks
@vi4m
@damian1976 could you update known bugs somewhere for build 27 ?
e.g virtual servers not displaying correctly and so on?
✪ vi4m Marcin Kliks
@vi4m
@MarcinJanowski maybe just stick with 3.x - it's more comfortable to install and use
and we eventually are going to port missing functionality
MarcinJanowski
@MarcinJanowski
@vi4m: But i want to show my chef full functionally ralph, to decide what we want deploy
✪ vi4m Marcin Kliks
@vi4m
ok, so docker should be enough for this
MarcinJanowski
@MarcinJanowski
oughhh... ok ;)
Michał Suszko
@msuszko
You lost JS on logon page
allegro/ralph@6896eb5 this commit removed {{ media.js }} from admin/templates/base.html
Michał Suszko
@msuszko
and now admin/templates/login.html renders with no jQuery
hm, actually {{ media.js }} was included in this commit, but logon page view doesn't set it
Michał Suszko
@msuszko
Hm, this JS code on logon page is useless, but because ralphs login.html extends base_site.html which extends base.html it includes ralphs base.html